<?xml version="1.0" encoding="utf-8" ?><rss version="2.0"><channel><title><![CDATA[Human_CK的专栏]]></title><description><![CDATA[]]></description><link>https://blog.youkuaiyun.com/Human_CK</link><language>zh-cn</language><generator>https://blog.youkuaiyun.com/</generator><copyright><![CDATA[Copyright &copy; Human_CK]]></copyright><item><title><![CDATA[END]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7552409</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7552409</guid><author>Human_CK</author><pubDate>Thu, 10 May 2012 07:58:59 +0800</pubDate><description><![CDATA[该纠结的也纠结完了。
　　重新开了个博客，写非ACM的东西。
　　今天开始，好好生活。]]></description><category></category></item><item><title><![CDATA[ZJUT1002 数字游戏]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7470214</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7470214</guid><author>Human_CK</author><pubDate>Tue, 17 Apr 2012 16:45:03 +0800</pubDate><description><![CDATA[Problem Address：http://acm.zjut.edu.cn/ShowProblem.aspx?ShowID=1002


【前言】


突然翻起了在ZJUT上没过的题。
时隔一年，这道一年前没有做出来、当时超时的题目，今天很轻松就A掉了。


【思路】


这道题主要是求一个数（
当时的做法算是当时的我比较高明的，就是枚举该数根号以内的数，判断其能否满]]></description><category></category></item><item><title><![CDATA[HDU1134  Game of Connections 高精度+DP]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7460208</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7460208</guid><author>Human_CK</author><pubDate>Sat, 14 Apr 2012 11:16:39 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=1134


【思路】


dp状态转移：dp[i] = sum(dp[j]*dp[i-1-j])  [0
加上高精度乘法和加法。


【代码】
代码又颓了= =
看来得准备一个高精度的模板啊！


#include 
using namespace s]]></description><category></category></item><item><title><![CDATA[HDU3966  Aragorn's Story  树链剖分]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7459852</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7459852</guid><author>Human_CK</author><pubDate>Sat, 14 Apr 2012 08:51:19 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=3966


【前言】


前几天在学树链剖分。主要还是为比赛做一下模板。但是找不到很基础的题可以做。
这道题的线段树部分不是最简单的那种，用的也是别人的模板。
上次WA了，好几天还没碰。
但是今天早上起来看了一下，就改了一个地方，然后就过了。
看来应了那句话：把]]></description><category></category></item><item><title><![CDATA[HDU2874  Connections between cities  LCA+DFS或并查集]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7439988</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7439988</guid><author>Human_CK</author><pubDate>Mon, 09 Apr 2012 10:58:29 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=2874


【前言】


这两天在做LCA的问题。
昨天做了一道模板题，今天再做一道。
但是一开始就被C++WA而G++AC困惑着。
最后的最后，好久好久以后，终于得到了一个结论。


【思路】


题意所给是一个森林，那么加多一个虚根节点，使其成为一]]></description><category></category></item><item><title><![CDATA[HDU2583  f(n)  规律题]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7431040</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7431040</guid><author>Human_CK</author><pubDate>Fri, 06 Apr 2012 09:54:36 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=2582


【前言】


可以说这是一道题规律题。
不过下次对于这种题还是打打表找找规律比较好，否则浪费的时间真是太多了。


【思路】


只要找到gcd的值，那么求和那一段就是十分简单的。
如果一个数n，
若n为质数，则其gcd值为其本身，即n。]]></description><category></category></item><item><title><![CDATA[Java输入输出及高精度]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7408616</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7408616</guid><author>Human_CK</author><pubDate>Thu, 29 Mar 2012 20:02:17 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=1261


其实，这份代码只是为了方便以后查看Java的输入输出……


Java就是用来做高精度滴= =



import java.util.*;
import java.math.*;

public class Main {
	
    public]]></description><category></category></item><item><title><![CDATA[GDUFS1127  Forgotten Password  DP]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7367034</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7367034</guid><author>Human_CK</author><pubDate>Sun, 18 Mar 2012 23:36:41 +0800</pubDate><description><![CDATA[Problem Address：http://cstfs.gdufs.edu.cn:8080/JudgeOnline/problem.jsp?id=1127


【前言】


学校OJ比赛的一道题。
貌似是USACO上面来的。
比赛时候想着字典树、AC自动机、再者加上DP什么的。
赛后看了几眼代码，老师说是DP，趁着解题报告还没出来把它A了。


【思路】


由于单]]></description><category></category></item><item><title><![CDATA[O(n)时间内求无序数组中与中位数最近的k个数]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7359814</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7359814</guid><author>Human_CK</author><pubDate>Fri, 16 Mar 2012 10:38:19 +0800</pubDate><description><![CDATA[昨天同学问到，于是立即帮忙想了一个方法。

问题是，给定一个无序的数组，找出与中位数最接近的k个数，要求O(n)的复杂度。

思路是这样的：


首先，我们需要知道利用线性时间选择可以在O(n)的时间内求出无序数组的中位数。


（1）O(n)求出无序数组中位数
（2）把数组里的所有数依次减去中位数并取绝对值，得到一个新的数组。这个数组的每个数表示其与中位数的距离的大小。复杂]]></description><category></category></item><item><title><![CDATA[HDU3577  离散化+线段树]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7315327</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7315327</guid><author>Human_CK</author><pubDate>Sat, 03 Mar 2012 16:28:16 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=3577


线段树不是特别熟悉。
特别是关于更新区间查询区间的。
用到了延迟标记，稍微理解了一下。
这道题不用离散化也可以。
不过一百万的区间，离散化后只有十万，时空复杂度都上了一个档次。


#include 
#include 
using namespac]]></description><category></category></item><item><title><![CDATA[HDU3622  二分+2-SAT]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7310115</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7310115</guid><author>Human_CK</author><pubDate>Thu, 01 Mar 2012 16:37:44 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=3622


这道题当初做的时候想到的是二分加上某个东西。
后来知道是2-SAT，可惜没学过。
今天把2-SAT弄清楚了一点，做了道基础题。http://acm.hdu.edu.cn/showproblem.php?pid=3062
2-SAT主要还是难在建图上面。
所]]></description><category></category></item><item><title><![CDATA[某个contest几道解题报告]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7171211</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7171211</guid><author>Human_CK</author><pubDate>Mon, 02 Jan 2012 13:02:29 +0800</pubDate><description><![CDATA[【前言】


　　周六第一天跑到实验室复习。
　　复习到一半看到有个contest。看了一题，觉得可以做，然后就YY了。
　　然后一发就不可收拾了……
　　确实是好久没做ACM了，最近都忙着大作业。


【题解】
首先看到第三题。由于那些题目是hdu没有的，所以只能把题目也copy过来了。
　　由于每个数都很小，所以开个数组存一下就可以了。
　　于是就把水题敲出来了。看来我]]></description><category></category></item><item><title><![CDATA[HDU4149  Magic Potion  异或运算（菜鸟杯）]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7096607</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7096607</guid><author>Human_CK</author><pubDate>Thu, 22 Dec 2011 20:57:13 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=4149


【前言】


当时比赛的时候没有做出坑爹的第六题。
第七题心甘情愿不会做，解题报告的那句话不怎么看懂。
不过后来赶着做大作业去了，一直没搞。
今天稍有点轻松，于是动手解决。
琢磨着就想出来了。确实还算可以的一道题。只是自己想不到。


【思路】]]></description><category></category></item><item><title><![CDATA[杭电“菜鸟杯”总结]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7084165</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7084165</guid><author>Human_CK</author><pubDate>Mon, 19 Dec 2011 15:16:06 +0800</pubDate><description><![CDATA[12月18日，杭电菜鸟杯开赛。
　　这次学校的几个人没有集中比赛。jay回家了，在家里做。我在实验室一边。等到12点后才另有几个人过来，帮他们开了另一边的实验室。于是shadowright等就在另一边做了。还有其他的几个在宿舍做。
　　比赛开始后浏览了几道题，发现都是比较短的，难度还不是很确定，还没参加过菜鸟杯的比赛，老菜鸟杯的做过，自虐的那种。
　　于是看了第一题，粗略地写了一下，好像跟数]]></description><category></category></item><item><title><![CDATA[HDU4133  StrangeStandard  打表？]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7039026</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7039026</guid><author>Human_CK</author><pubDate>Sun, 04 Dec 2011 11:44:30 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=4133


【前言】


一拿到题就想到可以打表。
虽然上限是20亿，但是我觉得真正的good number应该不多。
于是哗啦啦开始暴力地打表。
但是很快就发现不行了。
暴力打表肯定打不出来。
然后想到可以用素数去筛。
但是20亿的素数？
上网找了个神马]]></description><category></category></item><item><title><![CDATA[HDU4132  How Far Can Drive At Most  离散化+树状数组/线段树]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7032288</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7032288</guid><author>Human_CK</author><pubDate>Thu, 01 Dec 2011 20:51:26 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=4132


【前言】


没想到这么简单的一道题可以被做的这么复杂= =
拿到题想到可以用离散化，于是很快就想出来了。
（其实想到离散化的时候还想到了线段树，但是后面居然把这么重要的东西忘了。）
开始时偷懒，用hash和set写了交上去，返回TLE。
觉得可能是]]></description><category></category></item><item><title><![CDATA[HDU1005  一类递推矩阵优化]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7026413</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7026413</guid><author>Human_CK</author><pubDate>Wed, 30 Nov 2011 11:21:37 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=1005


【题意】


f(1) = 1, f(2) = 1, f(n) = (A * f(n - 1) + B * f(n - 2)) mod 7

1 



【思路】


由于这道题只需要mod7，所以可以用循环节之类的方法做。
但也可以用矩]]></description><category></category></item><item><title><![CDATA[HDU3700  Cat  恶心模拟题]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7020889</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7020889</guid><author>Human_CK</author><pubDate>Mon, 28 Nov 2011 20:35:28 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=3700


【前言】


终于又A了一道恶心的模拟题。
看来HDU恶心题还是蛮多的。


【思路】


扫描一遍，如果有时间段大于b的，则输出No。
时间段是不会重叠的。所以先按时间段排序。
如果间隔时间大于a，则先休息。把休息的时间段记录起来。
否]]></description><category></category></item><item><title><![CDATA[单调队列]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7019365</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7019365</guid><author>Human_CK</author><pubDate>Mon, 28 Nov 2011 14:14:17 +0800</pubDate><description><![CDATA[【模板】



//名称：单调队列（双端队列）
//用途：用于计算整个数组中固定区间的最值
//复杂度：O(n)
//方法：把数组元素填充到num[]中。调用get()，结果返回在dp[]中

const int maxn = 1000000;

struct node
{
	int v;
	int index;
}q[maxn+5];

int num[maxn+5];
int dp[m]]></description><category></category></item><item><title><![CDATA[HDU1648  Keywords  恶心的模拟题]]></title><link>https://blog.youkuaiyun.com/Human_CK/article/details/7012014</link><guid>https://blog.youkuaiyun.com/Human_CK/article/details/7012014</guid><author>Human_CK</author><pubDate>Fri, 25 Nov 2011 14:30:17 +0800</pubDate><description><![CDATA[Problem Address：http://acm.hdu.edu.cn/showproblem.php?pid=1648


【前言】


开始在HDU上随机选题。
没想到昨天居然恶心地选到一道42提交量1A的题目。
过了两道水题之后，把恶心题敲出来，然后开始了WA的历程。
前后交了30个WA吧。
期间被牛人过掉，我还是不知道哪里错。
今天过来一开，发现了有点不对劲的地方]]></description><category></category></item></channel></rss>